View Issue Details

IDProjectCategoryView StatusLast Update
0000466SketcherFeaturepublic2017-01-09 12:20
ReportertilasAssigned Tomrlukeparry 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0000466: Sketcher: allow moving the dimension datums in two directions
DescriptionCurrently one can move a dimension only in a single direction along the dimension lines. It would be helpful to allow moving the number also in perpendicular direction.
Examples for a need:
1. linear dimension when the distance between the dimension lines is smaller than the font size.
2. angular dimensions are currently locked at 45 degrees and for concentric circles overlap each other.
TagsNo tags attached.

Activities

Jriegel

2011-11-04 20:59

administrator   ~0001241

I know that feature from Catia. Actually very nice!

mrlukeparry

2012-06-12 21:40

developer   ~0002189

I will look into this. It's also included in Solidworks.

yorik

2014-02-04 15:46

administrator   ~0004145

Can I assign this to you Luke? Doing some housecleaning...

wmayer

2016-11-11 13:08

administrator   ~0007449

Current situation:
* Distance (X,Y or Length) constraints can be moved in any direction
* Radius can be moved radially
* Angle constraints can only be moved in the direction of the half of the angle. This needs to be extended to move it also radially.

Related Changesets

FreeCAD: master 0e65256f

2017-01-09 13:17:27

wmayer

Details Diff
issue 0000466: Sketcher: allow moving the dimension datums in two directions Affected Issues
0000466
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2011-11-02 19:52 tilas New Issue
2011-11-03 17:07 logari81 Summary allow moving the dimensions in the sketcher in two directions => Sketcher: allow moving the dimension datums in two directions
2011-11-04 20:59 Jriegel Note Added: 0001241
2011-11-04 20:59 Jriegel Status new => acknowledged
2012-05-05 18:31 yorik Project FreeCAD => Sketcher
2012-06-12 21:40 mrlukeparry Note Added: 0002189
2014-02-04 15:46 yorik Note Added: 0004145
2014-02-04 15:47 yorik Assigned To => mrlukeparry
2014-02-04 15:47 yorik Status acknowledged => assigned
2016-11-11 13:08 wmayer Note Added: 0007449
2017-01-09 12:18 wmayer Changeset attached => FreeCAD Master master 0e65256f
2017-01-09 12:20 wmayer Status assigned => closed
2017-01-09 12:20 wmayer Resolution open => fixed
2017-01-09 12:20 wmayer Fixed in Version => 0.17